use thiserror::Error;

#[derive(Debug, Error)]
pub enum DbError {
    #[error("Failed to connect to database")]
    ConnectionFailed,
    #[error("Failed to run initial migration: {0}")]
    StartupMigrationFailed(#[from] sqlx::migrate::MigrateError),
}
