#[derive(Debug, PartialEq, Eq, PartialOrd, Ord, Clone, Copy)]
#[repr(u32)]
pub enum FightPropType {
    None = 0,
    BaseHp = 1,
    Hp = 2,
    HpPercent = 3,
    BaseAttack = 4,
    Attack = 5,
    AttackPercent = 6,
    BaseDefense = 7,
    Defense = 8,
    DefensePercent = 9,
    BaseSpeed = 10,
    SpeedPercent = 11,
    HpMpPercent = 12,
    AttackMpPercent = 13,
    Critical = 20,
    AntiCritical = 21,
    CriticalHurt = 22,
    ChargeEfficiency = 23,
    AddHurt = 24,
    SubHurt = 25,
    HealAdd = 26,
    HealedAdd = 27,
    ElementMastery = 28,
    PhysicalSubHurt = 29,
    PhysicalAddHurt = 30,
    DefenceIgnoreRatio = 31,
    DefenceIgnoreDelta = 32,
    FireAddHurt = 40,
    ElecAddHurt = 41,
    WaterAddHurt = 42,
    GrassAddHurt = 43,
    WindAddHurt = 44,
    RockAddHurt = 45,
    IceAddHurt = 46,
    HitHeadAddHurt = 47,
    FireSubHurt = 50,
    ElecSubHurt = 51,
    WaterSubHurt = 52,
    GrassSubHurt = 53,
    WindSubHurt = 54,
    RockSubHurt = 55,
    IceSubHurt = 56,
    EffectHit = 60,
    EffectResist = 61,
    FreezeResist = 62,
    TorporResist = 63,
    DizzyResist = 64,
    FreezeShorten = 65,
    TorporShorten = 66,
    DizzyShorten = 67,
    MaxFireEnergy = 70,
    MaxElecEnergy = 71,
    MaxWaterEnergy = 72,
    MaxGrassEnergy = 73,
    MaxWindEnergy = 74,
    MaxIceEnergy = 75,
    MaxRockEnergy = 76,
    SkillCdMinusRatio = 80,
    ShieldCostMinusRatio = 81,
    CurFireEnergy = 1000,
    CurElecEnergy = 1001,
    CurWaterEnergy = 1002,
    CurGrassEnergy = 1003,
    CurWindEnergy = 1004,
    CurIceEnergy = 1005,
    CurRockEnergy = 1006,
    CurHp = 1010,
    MaxHp = 2000,
    CurAttack = 2001,
    CurDefense = 2002,
    CurSpeed = 2003,
    NonextraAttack = 3000,
    NonextraDefense = 3001,
    NonextraCritical = 3002,
    NonextraAntiCritical = 3003,
    NonextraCriticalHurt = 3004,
    NonextraChargeEfficiency = 3005,
    NonextraElementMastery = 3006,
    NonextraPhysicalSubHurt = 3007,
    NonextraFireAddHurt = 3008,
    NonextraElecAddHurt = 3009,
    NonextraWaterAddHurt = 3010,
    NonextraGrassAddHurt = 3011,
    NonextraWindAddHurt = 3012,
    NonextraRockAddHurt = 3013,
    NonextraIceAddHurt = 3014,
    NonextraFireSubHurt = 3015,
    NonextraElecSubHurt = 3016,
    NonextraWaterSubHurt = 3017,
    NonextraGrassSubHurt = 3018,
    NonextraWindSubHurt = 3019,
    NonextraRockSubHurt = 3020,
    NonextraIceSubHurt = 3021,
    NonextraSkillCdMinusRatio = 3022,
    NonextraShieldCostMinusRatio = 3023,
    NonextraPhysicalAddHurt = 3024,
}
