use serde::Deserialize;

#[derive(Deserialize, Default)]
#[serde(rename_all = "camelCase")]
pub struct OpenStateData {
    pub id: u32,
    pub system_open_ui_id: u32,
    pub cond: String,
    pub default_state: bool,
    pub allow_client_open: bool,
}
