use super::tsv_util::from_sequence;
use serde::Deserialize;

#[derive(Deserialize, Default)]
#[serde(rename_all = "camelCase")]
pub struct WorldData {
    pub id: u32,
    pub r#type: String,
    pub main_scene_id: u32,
    #[serde(deserialize_with = "from_sequence")]
    pub sub_scene_id_vec: Vec<u32>,
}
