include!("../out/packet_head.rs");
include!("../out/server_only.rs");
include!("../out/bin.rs");
include!("../out/redis_data.rs");
include!("../out/cmd.rs");

pub trait CmdID {
    const CMD_ID: u16;

    fn get_cmd_id(&self) -> u16 {
        Self::CMD_ID
    }
}

pub trait YSMessage: prost::Message + CmdID {}
impl<T: prost::Message + CmdID> YSMessage for T {}
